import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import { Component } from 'react';
var Slot = /*#__PURE__*/function (_Component) {
  function Slot() {
    return _Component.apply(this, arguments) || this;
  }
  _inheritsLoose(Slot, _Component);
  var _proto = Slot.prototype;
  _proto.render = function render() {
    var children = this.props.children;
    return /*#__PURE__*/React.createElement(React.Fragment, null, children);
  };
  return Slot;
}(Component);
Slot.displayName = 'Slot';
Slot.componentMetadata = {
  componentName: 'Slot',
  configure: {
    props: [{
      name: '___title',
      title: 'Slot header',
      setter: 'StringSetter',
      defaultValue: 'Slot container'
    }, {
      name: '___params',
      title: 'Slot entry',
      setter: {
        componentName: 'ArraySetter',
        props: {
          itemSetter: {
            componentName: 'StringSetter',
            props: {
              placeholder: 'Parameter name'
            }
          }
        }
      }
    }],
    component: {
      isContainer: true
    },
    supports: false
  }
};
export default Slot;